org.openmuc.openiec61850.clientgui.databind

## Class OptfldsDataBind

- java.lang.Object
- - org.openmuc.openiec61850.clientgui.BasicDataBind<BdaOptFlds>
  - - org.openmuc.openiec61850.clientgui.databind.OptfldsDataBind

    public class OptfldsDataBind
    extends BasicDataBind<BdaOptFlds>

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.clientgui.BasicDataBind

`data`

### Constructor Summary

Constructors
Constructor and Description
`OptfldsDataBind(BdaOptFlds data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected javax.swing.JComponent` `init()`
`protected void` `resetImpl()`
`protected void` `writeImpl()`

### Methods inherited from class org.openmuc.openiec61850.clientgui.BasicDataBind

`getNameLabel, getValueField, reset, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptfldsDataBind

    public OptfldsDataBind(BdaOptFlds data)

### Method Detail

#### init

    protected javax.swing.JComponent init()

Specified by:
  `init` in class `BasicDataBind<BdaOptFlds>`

#### resetImpl

    protected void resetImpl()

Specified by:
  `resetImpl` in class `BasicDataBind<BdaOptFlds>`

#### writeImpl

    protected void writeImpl()

Specified by:
  `writeImpl` in class `BasicDataBind<BdaOptFlds>`